<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/gray"
    tools:context=".ActivityAddNote">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="5dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="3dp"
            app:cardElevation="3dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:gravity="center">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="10dp">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/titleEt"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Title" />
                </com.google.android.material.textfield.TextInputLayout>

                <ImageView
                    android:id="@+id/imUpload"
                    android:layout_width="288dp"
                    android:layout_height="216dp"
                    android:layout_margin="10dp"
                    app:srcCompat="@android:color/holo_blue_dark" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/descEt"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Description" />
                </com.google.android.material.textfield.TextInputLayout>

                <Spinner
                    android:id="@+id/spPrioritas"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"/>

                <Spinner
                    android:id="@+id/spKategori"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"/>
            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <Button
            android:id="@+id/addBtn"
            style="@style/TextAppearance.AppCompat.Widget.Button.Colored"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:layout_marginEnd="8dp"
            android:layout_marginRight="8dp"
            android:layout_marginBottom="8dp"
            android:layout_marginTop="8dp"
            android:background="@color/colorPrimary"
            android:text="Add" />

    </LinearLayout>
</ScrollView>